<?php
/*-----------------------------------------------------------------
* 	ID:						cseov25_qf6.php
* 	Letzter Stand:			v2.5
* 	zuletzt geaendert von:	akausch
* 	Datum:					2014/04/08
*
* 	Copyright (c) since 2010 commerce:SEO by Webdesign Erfurt
* 	http://www.commerce-seo.de
* ---------------------------------------------------------------*/

class cseov25_qf6 {
var $title, $output;

function cseov25_qf6() {
  $this->code = 'cseov25_qf6';
  $this->version = '2.5.06';
  $this->title = 'cseov25_qf6';
  $this->description = 'Fix5.6 für commerce:SEO v2next 2.5.5';
  $this->enabled = ((MODULE_CSEO_V251QF6_STATUS == 'true') ? true : false);
  $this->sort_order = MODULE_CSEO_V251QF6_SORT_ORDER;

  $this->output = array();
}

function process() {
  global $order, $xtPrice;


}

function check() {
  if (!isset($this->_check)) {
	$check_query = xtc_db_query("select configuration_value from " . TABLE_CONFIGURATION . " where configuration_key = 'MODULE_CSEO_V251QF6_STATUS'");
	$this->_check = xtc_db_num_rows($check_query);
  }

  return $this->_check;
}

function keys() {
	return array('MODULE_CSEO_V251QF6_STATUS', 'MODULE_CSEO_V251QF6_SORT_ORDER');
}

function install() {
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, set_function, date_added) VALUES ('MODULE_CSEO_V251QF6_STATUS', 'true', '6', '1','', now())");
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, date_added) VALUES ('MODULE_CSEO_V251QF6_SORT_ORDER', '1','6', '2', now())");
	xtc_db_query("INSERT INTO " . TABLE_CONFIGURATION . " (configuration_key, configuration_value,configuration_group_id, sort_order, date_added) VALUES ('MODULE_CSEO_V251QF6', 'true','6', '3', now())");

	//Fehlende Spalten
	if (!column_exists ('shipping_status','info_link_active')) {
		xtc_db_query("ALTER TABLE shipping_status ADD info_link_active TINYINT (1) NOT NULL DEFAULT '1';");
	}
	if (!column_exists ('products','product_type')) {
		xtc_db_query("ALTER TABLE products ADD product_type TINYINT(1) NOT NULL DEFAULT '1';");
		xtc_db_query("UPDATE products SET product_type = 1;");
	}
	if (!column_exists ('orders_products','product_type')) {
		xtc_db_query("ALTER TABLE orders_products ADD product_type INT NOT NULL DEFAULT '1';");
	}
	
	//Fehlende Config
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'VRRL_ACTIVE';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'VRRL_ACTIVE', 'true', 333, 35, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'WITHDRAWAL_DOWNLOAD';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'WITHDRAWAL_DOWNLOAD', 'false', 333, 36, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'WITHDRAWAL_SERVICE';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'WITHDRAWAL_SERVICE', 'false', 333, 37, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'WITHDRAWAL_WEBFORM_ACTIVE';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'WITHDRAWAL_WEBFORM_ACTIVE', 'false', 333, 38, NULL, NOW(), NULL, \"xtc_cfg_select_option(array('true', 'false'),\");");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'COMPANY_NAME';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'COMPANY_NAME', '', 1, 3, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_FIRSTNAME';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_FIRSTNAME', '', 1, 4, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_NAME';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_NAME', '', 1, 5, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_STREET';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_STREET', '', 1, 6, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_STREET_NUMBER';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_STREET_NUMBER', '', 1, 7, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_ZIPCODE';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_ZIPCODE', '', 1, 8, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_LOCATION';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_LOCATION', '', 1, 9, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_TEL';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_TEL', '', 1, 12, NULL, NOW(), NULL, '');");
	}
	$check_query = xtc_db_query("SELECT configuration_key FROM " . TABLE_CONFIGURATION . "  WHERE configuration_key = 'TRADER_FAX';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO configuration VALUES (NULL, 'TRADER_FAX', '', 1, 13, NULL, NOW(), NULL, '');");
	}
	
	//Fehlende Navi
	$check_query = xtc_db_query("select name from admin_navigation where title = 'Retouren Einstellungen';");
	if (xtc_db_num_rows($check_query) == 0) {
		xtc_db_query("INSERT INTO admin_navigation VALUES (NULL, 'configuration', 'Retouren Einstellungen', 'seo_config', 'configuration.php', 1005, 1, NULL, 30);");
		xtc_db_query("INSERT INTO admin_navigation VALUES (NULL, 'configuration', 'RMA Settings', 'seo_config', 'configuration.php', 1005, 2, NULL, 30);");
	}
	
	//Fehlende Tabellen
	if (table_exists ('withdrawals')) {
		xtc_db_query("DROP TABLE IF EXISTS withdrawals;");
	}
	xtc_db_query("
				CREATE TABLE withdrawals (
				  withdrawal_id int(11) NOT NULL AUTO_INCREMENT,
				  order_id int(11) NOT NULL,
				  customer_id int(11) NOT NULL,
				  customer_gender varchar(16) NOT NULL,
				  customer_firstname varchar(255) NOT NULL,
				  customer_lastname varchar(255) NOT NULL,
				  customer_street_address varchar(255) NOT NULL,
				  customer_postcode varchar(255) NOT NULL,
				  customer_city varchar(255) NOT NULL,
				  customer_country varchar(255) NOT NULL,
				  customer_email varchar(255) NOT NULL,
				  order_date varchar(12) NOT NULL,
				  delivery_date varchar(12) NOT NULL,
				  withdrawal_date varchar(12) NOT NULL,
				  withdrawal_content text NOT NULL,
				  date_created datetime NOT NULL DEFAULT '0000-00-00 00:00:00',
				  created_by_admin tinyint(1) NOT NULL DEFAULT '0',
				  PRIMARY KEY (withdrawal_id)
				);
	");

	xtc_db_query("DELETE FROM configuration WHERE configuration_key = 'DISPLAY_WIDERRUFSRECHT_ON_CHECKOUT';");
	xtc_db_query("UPDATE configuration SET sort_order = '1' WHERE configuration_key = 'STORE_NAME';");
	xtc_db_query("UPDATE configuration SET sort_order = '2' WHERE configuration_key = 'STORE_OWNER';");
	xtc_db_query("UPDATE configuration SET sort_order = '10' WHERE configuration_key = 'STORE_COUNTRY';");
	xtc_db_query("UPDATE configuration SET sort_order = '11' WHERE configuration_key = 'STORE_ZONE';");
	xtc_db_query("UPDATE configuration SET sort_order = '14' WHERE configuration_key = 'STORE_OWNER_EMAIL_ADDRESS';");
	xtc_db_query("UPDATE configuration SET sort_order = '15' WHERE configuration_key = 'EMAIL_FROM';");
	xtc_db_query("UPDATE configuration SET sort_order = '17' WHERE configuration_key = 'STORE_NAME_ADDRESS';");
	xtc_db_query("UPDATE configuration SET sort_order = '18' WHERE configuration_key = 'EXPECTED_PRODUCTS_SORT';");
	xtc_db_query("UPDATE configuration SET sort_order = '19' WHERE configuration_key = 'EXPECTED_PRODUCTS_FIELD';");
	xtc_db_query("UPDATE configuration SET sort_order = '20' WHERE configuration_key = 'USE_DEFAULT_LANGUAGE_CURRENCY';");
	xtc_db_query("UPDATE configuration SET sort_order = '21' WHERE configuration_key = 'DISPLAY_CART';");
	xtc_db_query("UPDATE configuration SET sort_order = '22' WHERE configuration_key = 'ADVANCED_SEARCH_DEFAULT_OPERATOR';");
	xtc_db_query("UPDATE configuration SET sort_order = '23' WHERE configuration_key = 'DEFAULT_CUSTOMERS_STATUS_ID_ADMIN';");
	xtc_db_query("UPDATE configuration SET sort_order = '24' WHERE configuration_key = 'DEFAULT_CUSTOMERS_STATUS_ID_GUEST';");
	xtc_db_query("UPDATE configuration SET sort_order = '25' WHERE configuration_key = 'DEFAULT_CUSTOMERS_STATUS_ID';");
	xtc_db_query("UPDATE configuration SET sort_order = '26' WHERE configuration_key = 'ALLOW_ADD_TO_CART';");

	$lang_de = xtc_db_fetch_array(xtc_db_query("SELECT languages_id FROM languages WHERE code = 'de';"));
	if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_de.sql')) {
		require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
		cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_de.sql', $lang_de['languages_id']);
	}
	
	$lang_en = xtc_db_query("SELECT languages_id FROM languages WHERE code = 'en';");
	if (xtc_db_num_rows($lang_en) > 0) {
		$lang_en = xtc_db_fetch_array($lang_en);
		if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_en.sql')) {
			require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
			cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_en.sql', $lang_en['languages_id']);
		}
	}
	$lang_other = xtc_db_query("SELECT languages_id FROM languages WHERE code != 'en' AND code != 'de';");
	if (xtc_db_num_rows($lang_other) > 0) {
		$lang_other = xtc_db_fetch_array($lang_other);
		if(file_exists(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_en.sql')) {
			require_once(DIR_FS_INC.'cseo_sql_query.inc.php');
			cseo_sql_query(DIR_FS_CATALOG . 'admin/includes/modules/install/withdrawal_en.sql', $lang_other['languages_id']);
		}
	}
	xtc_db_query("UPDATE emails SET email_address = '".STORE_OWNER_EMAIL_ADDRESS."' WHERE email_name = 'withdrawal';");
	xtc_db_query("UPDATE emails SET email_address_name = '".STORE_NAME."' WHERE email_name = 'withdrawal';");
	xtc_db_query("UPDATE emails SET email_replay_address = '".EMAIL_FROM."' WHERE email_name = 'withdrawal';");
	xtc_db_query("UPDATE emails SET email_replay_address_name = '".STORE_NAME."' WHERE email_name = 'withdrawal';");
	
	
	xtc_db_query("UPDATE database_version SET version = 'commerce:SEO v2next 2.5.6'");
	

}

function remove() {
  xtc_db_query("DELETE FROM " . TABLE_CONFIGURATION . " WHERE configuration_key in ('" . implode("', '", $this->keys()) . "')");
  xtc_db_query("DELETE FROM " . TABLE_CONFIGURATION . " WHERE configuration_key = 'MODULE_CSEO_V251QF6'");
}

}
